## com.google.gwt.core.client
Class JsArrayBoolean

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.core.client.JsArrayBoolean

    public class JsArrayBoolean

extends JavaScriptObject

A simple wrapper around a homogeneous native array of boolean values. This class may not be directly instantiated, and can only be returned from a native method. For example, `native JsArrayBoolean getNativeArray() /*-{ return [true, false, true]; }-* /;`

Constructor Summary
`protected` | `JsArrayBoolean()`

Method Summary
`boolean` | `get(int index)` Gets the value at a given index.
`int` | `length()` Gets the length of the array.
`void` | `set(int index, boolean value)` Sets the value value at a given index.

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JsArrayBoolean

    protected JsArrayBoolean()

Method Detail

### get

    public final boolean get(int index)

  Gets the value at a given index. If an undefined or non-boolean value exists at the given index, a type-conversion error will occur in hosted mode and unpredictable behavior may occur in web mode.

  Parameters:
    `index` - the index to be retrieved
  Returns:
    the value at the given index

### length

    public final int length()

  Gets the length of the array.

  Returns:
    the array length

### set

    public final void set(int index,
                          boolean value)

  Sets the value value at a given index. If the index is out of bounds, the value will still be set. The array's length will be updated to encompass the bounds implied by the added value.

  Parameters:
    `index` - the index to be set
    `value` - the value to be stored